summaryrefslogtreecommitdiffstats
path: root/obsolete-buildroot/sources/openwrt/root/sbin/ifdown
diff options
context:
space:
mode:
Diffstat (limited to 'obsolete-buildroot/sources/openwrt/root/sbin/ifdown')
-rwxr-xr-xobsolete-buildroot/sources/openwrt/root/sbin/ifdown8
1 files changed, 8 insertions, 0 deletions
diff --git a/obsolete-buildroot/sources/openwrt/root/sbin/ifdown b/obsolete-buildroot/sources/openwrt/root/sbin/ifdown
new file mode 100755
index 000000000..4c7e98211
--- /dev/null
+++ b/obsolete-buildroot/sources/openwrt/root/sbin/ifdown
@@ -0,0 +1,8 @@
+#!/bin/ash
+. /etc/functions.sh
+ type=$1
+ debug "### ifdown $type ###"
+ if=$(nvram_get ${type}_ifname)
+ if_valid $if || return
+ kill $(cat /var/run/${if}.pid 2>&-) 2>&-
+ $DEBUG ifconfig $if down